#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "../include/ephi.h"

struct eh ephihdr;
struct ei ephi;

int debug= 0; /* for ephinterp.c */

main ()
{
  double jdint, seci;
  double outvec[6], backvec[6], aberout[3], aberback[3];
  double relcorrout, relcorrback;
  int fvel= 1;	/* gimme velocities - make 'em up if necessary */
  int i;
  int ircode;	/* Failure? */
  char str[256] = "tabl_y2005d080t1353_1500.0018";


  printf ("Standard interpolation test\n\n");
  if (cephinit (str) != 0)
    {
      printf("File %s does not exist.\n",str);
      exit;
    }


  jdint= 2400000.5e0+ 53450.0e0;
  for (i=1;i<=401;i++)
    {
      seci= 50400+ i/20.e0;
      cinterp_pvac (jdint, seci, outvec, backvec, aberout, aberback, 
          &relcorrout, &relcorrback, fvel, &ircode);
      printf ("%9.1f %8.2f%20.3f%20.3f%20.3f\n", 
          jdint-2400000.5e0, seci, outvec[0],outvec[1],outvec[2]);
      printf ("                  %20.6f%20.6f%20.6f\n", 
          outvec[3],outvec[4],outvec[5]);
    }
  exit (0);
}
