	subroutine getnames()
c  get the input, output, and listing file names from the command line
c  ot the user.
c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$

	character*256
     .		argv(20)
	integer argc
     .,		argl(20)
     .,		trimlen

	argc= iargc()
	if (argc.gt.10) then
	    write(*,'(''getfiles: Too many arguments!'')')
C	    call exit(2)
	    stop 2
	elseif (argc.gt.1) then
	  do 10 i=1,argc
	  call getarg(i,argv(i))
  10 	  argl(i)= trimlen(argv(i))

c  now get the arguments we want!
          do 15 i=1,argc,2
	    if (argv(i)(1:2).eq.'-1'.and. argl(i).eq.2) then
		open(1,FILE=argv(i+1)(1:argl(i+1)),ERR=900)
		go to 15
	    endif
	    if (argv(i)(1:2).eq.'-2'.and. argl(i).eq.2) then
		open(2,FILE=argv(i+1)(1:argl(i+1)),ERR=910)
		go to 15
	    endif
	    if (argv(i)(1:2).eq.'-3'.and. argl(i).eq.2) then
		open(3,FILE=argv(i+1)(1:argl(i+1)),ERR=920)
		go to 15
	    endif
	    if (argv(i)(1:2).eq.'-4'.and. argl(i).eq.2) then
		open(4,FILE=argv(i+1)(1:argl(i+1)),ERR=930)
		go to 15
	    endif
	    if (argv(i)(1:2).eq.'-5'.and. argl(i).eq.2) then
		open(5,FILE=argv(i+1)(1:argl(i+1)),ERR=930)
		go to 15
	    endif
	    if (argv(i)(1:2).eq.'-6'.and. argl(i).eq.2) then
		open(6,FILE=argv(i+1)(1:argl(i+1)),ERR=930)
		go to 15
	    endif
 15       continue
	endif

	return
 900	write(*,*) 'error openning unit 1'
	stop
 910	write(*,*) 'error openning unit 2'
	stop
 920	write(*,*) 'error openning unit 3'
	stop
 930	write(*,*) 'error openning unit 4'
	stop
	end

	integer function trimlen(array)
C  find the length of an array to the first blank (or end of array)
C
c$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$
      character array*(*)

      length= len(array)
      trimlen= length
      do 10 i=1,length
	lenbk= length+1-i
	if (array(lenbk:lenbk).eq.' ' .or.
     .          array(lenbk:lenbk).eq.char(0)) go to 10
          trimlen= lenbk
          go to 90
10    continue
      trimlen= 0
90    return
      end

